%{?drupal7_find_provides_and_requires}

%global module eu_cookie_compliance

Name:          drupal7-%{module}
Version:       1.14
Release:       1%{?dist}
Summary:       Displays cookie alert for EU compliance

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
This module provides a window to the user that has not accepted the terms.
The administrator or site manager has the option to write a message that
will be displayed in this window to tell the user that the current site
is using cookies.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# # W: spurious-executable-perm /usr/share/doc/drupal7-email/LICENSE.txt
# chmod a-x LICENSE.txt
# Nothing to do but fix some permissions.
# No executables but the directories, so it's nice and simple.
chmod a-x eu_cookie_compliance.* *.txt */*.css */*.png */*.js */*.php

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sat Apr  8 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.14-1
- Initial package

